<?php
/**
 * @package eroshik savp theme
 *
 *
 */
   //frontend enqueue
   if ( ! function_exists( 'eroshik_savp_laod_scripts' ) ) {
   function eroshik_savp_laod_scripts(){
     wp_enqueue_style('eroshik_savp_fa', get_template_directory_uri().'/libs/fa/css/font-awesome.css', array(),'4.7.0','all');
     wp_enqueue_style('eroshik_savp_bootstrap', get_template_directory_uri().'/css/bootstrap.css', array(),'3.3.7','all');
     wp_enqueue_style('eroshik_savp_roboto_font','https://fonts.googleapis.com/css?family=Roboto');
     wp_enqueue_style('eroshik_savp_style', get_template_directory_uri().'/css/eroshik-savp.css', array(),'3.3.7','all');
     wp_enqueue_script('eroshik_savp_bootstrap', get_template_directory_uri().'/js/bootstrap.js', array('jquery'),'3.3.7',true);
     wp_enqueue_script( 'eroshik_savp_js', get_template_directory_uri() . '/js/eroshik-savp.js', array('jquery'), '1.0.0', true );

     $translation_array = array(
     	'end_of_blog_posts' => __( 'End of blog post', 'eroshiksavp' ),
     	'a_value' => '10'
     );
     wp_localize_script( 'eroshik_savp_js', 'eroshiksavpendofblog', $translation_array );


       if ( is_singular() ) {
        wp_enqueue_script( 'ajax-script', get_template_directory_uri().'/js/eroshik-savp.js' , array('jquery'));
        wp_localize_script( 'ajax-script', 'ajax_object',
            array( 'ajax_url' => admin_url( 'admin-ajax.php' ) ));
        wp_enqueue_script( "comment-reply" );
       }
     }

   add_action('wp_enqueue_scripts', 'eroshik_savp_laod_scripts');
 }

?>
