<?php
/**
 * @package eroshik savp theme
 *
 *
 */

class eroshik_savp_sidebar_profile_widget extends WP_WIDGET{
  //set up widget identifiers
  public function __construct(){
      $widget_ops=array(
        'classname'=>'eroshik_savp_sidebar_profile_widget',
        'description'=>__('Profile widget for blog page sidebar','eroshiksavp'),
      );
      parent::__construct('eroshik_savp_sidebar_profile', __('Eroshik Blog Sidebar Profile','eroshiksavp'),$widget_ops);
  }

  public function  form($instance){
       esc_html_e('Use the customizer to edit the options.','eroshiksavp');
  }

  public function  widget($args,$instance){
       echo $args['before_widget']; ?>
       <div class="eroshik_savp_image_preview">

           <img id="eroshik_savp_profile_picturet" src="<?php echo esc_url(get_theme_mod("user_profile_picture",  get_template_directory_uri().'/images/avatar.png')) ?>"/>
       </div>

       <div class="eroshik_savp_user_name">
           <h1><?php echo esc_html(get_theme_mod("first_name" ,__('John','eroshiksavp'))) .' '.esc_html(get_theme_mod("last_name" ,__('Doe','eroshiksavp'))); ?></h1>
       </div>

       <div class="eroshik_savp_user_description">
           <h2><?php echo esc_html(get_theme_mod("user_description" ,__('Something great about you','eroshiksavp'))); ?></h2>
       </div>

    <?php echo $args['after_widget'];
  }

}
add_action('widgets_init','eroshik_savp_register_sidebar_pro');
function eroshik_savp_register_sidebar_pro(){
    register_widget('eroshik_savp_sidebar_profile_widget');
}

//editing widgets
  function  eroshik_def_tag_chnage($args){
      $args['smalest']=8;
      $args['largest']=10;
      return $args;
  }

  add_filter('widget_tag_cloud_args','eroshik_def_tag_chnage');


  remove_action('wp_head', 'adjacent_posts_rel_link_wp_head',10,0);

?>
