<!-- custom menu bar stylings-->
<?php
  $menu_bar_bg=get_theme_mod('menu_bar_bg','#FFFFFF');
  $menu_bar_color=get_theme_mod('menu_color','#000000');
  $menu_bar_color_active=get_theme_mod('menu_color_active','#02acac');

 ?>
  <style>
  .navbar_eroshik_savp {
    text-align: center;
    min-height: auto;
    margin-bottom: 0;
    border-radius: 0px;
    border: none;
    background: <?php echo esc_attr($menu_bar_bg); ?>;
    border-bottom: 1px solid #e5eaec;
    -webkit-box-shadow: 0px -4px 3px rgba(229, 234, 236, 0.4);
    -moz-box-shadow: 0px -4px 3px rgba(229, 234, 236, 0.4);
    box-shadow: 0px -4px 3px rgba(229, 234, 236, 0.4);
    border-top: 1px solid rgba(243, 243, 243, 0.1); }

    .eroshik-res{

    }

    @media only screen and (max-width: 700px) {
      .eroshik-res{
        display:block !important;
      }
    }
    .navbar_eroshik_savp ul {
      float: none;list-style-type: none}
    .navbar_eroshik_savp li {
      float: none;
      display: inline-block;

     }
     .navbar_eroshik_savp li::before{
       content:'';
     }


.dropdown-menu>.active>a, .dropdown-menu>.active>a:focus, .dropdown-menu>.active>a:hover {
  color:<?php echo esc_attr($menu_bar_color_active) ?> !important;
}
.navbar-nav li a:hover, ul li a:focus {
    color:<?php echo esc_attr($menu_bar_color_active) ?> !important;
}

      .navbar_eroshik_savp li.active a {
        opacity: 1;}
        .navbar_eroshik_savp li.active a:after {
          -webkit-transform: translateY(0);
          -moz-transform: translateY(0);
          -ms-transform: translateY(0);
          -o-transform: translateY(0);
          transform: translateY(0);
          opacity: 1; }
      .navbar_eroshik_savp li.open a {
        opacity: 1;
        background-color:<?php echo esc_attr($menu_bar_bg); ?> !important; }
        .navbar_eroshik_savp li.open a:after {
          -webkit-transform: translateY(10px);
          -moz-transform: translateY(10px);
          -ms-transform: translateY(10px);
          -o-transform: translateY(10px);
          transform: translateY(10px);
          opacity: 0 !important; }
        .navbar_eroshik_savp li.open a:hover, .navbar_eroshik_savp li.open a:focus, .navbar_eroshik_savp li.open a:visited {
          background-color: <?php echo esc_attr($menu_bar_bg); ?>; }
          .navbar_eroshik_savp li.open a:hover:after, .navbar_eroshik_savp li.open a:focus:after, .navbar_eroshik_savp li.open a:visited:after {
            -webkit-transform: translateY(10px);
            -moz-transform: translateY(10px);
            -ms-transform: translateY(10px);
            -o-transform: translateY(10px);
            transform: translateY(10px);
            opacity: 0 !important; }
      .navbar_eroshik_savp li a {
        text-transform: uppercase;
        color: <?php echo esc_attr($menu_bar_color)?>;
        font-size: 12px;
        opacity: 0.9;
        letter-spacing: 0.05em;
        background: none;
        -webkit-transition: opacity 320ms ease;
        -moz-transition: opacity 320ms ease;
        -ms-transition: opacity 320ms ease;
        -o-transition: opacity 320ms ease;
        transition: opacity 320ms ease;
        font-size: 14px; }
        .navbar_eroshik_savp li a:hover, .navbar_eroshik_savp li a:focus, .navbar_eroshik_savp li a:visited {
          background: none;
          opacity: 1; }
          .navbar_eroshik_savp li a:hover:after, .navbar_eroshik_savp li a:focus:after, .navbar_eroshik_savp li a:visited:after {
            -webkit-transform: translateY(0);
            -moz-transform: translateY(0);
            -ms-transform: translateY(0);
            -o-transform: translateY(0);
            transform: translateY(0);
            opacity: 1; }
        .navbar_eroshik_savp li a:after {
          content: '';
          position: absolute;
          display: block;
          left: 0px;
          right: 1em;
          bottom: 11px;
          height: 2px;
          background: <?php echo esc_attr($menu_bar_color); ?>;
          -webkit-transition: all 320ms ease;
          -moz-transition: all 320ms ease;
          -ms-transition: all 320ms ease;
          -o-transition: all 320ms ease;
          transition: all 320ms ease;
          opacity: 0;
          -webkit-transform: translateY(10px);
          -moz-transform: translateY(10px);
          -ms-transform: translateY(10px);
          -o-transform: translateY(10px);
          transform: translateY(10px); }
      .navbar_eroshik_savp li ul.dropdown-menu {
        border: 0;
        border-radius: 0;
        background: <?php echo esc_attr($menu_bar_bg); ?>; }
        .navbar_eroshik_savp li ul.dropdown-menu li {
          display: block; }
          .navbar_eroshik_savp li ul.dropdown-menu li a:hover, .navbar_eroshik_savp li ul.dropdown-menu li a:focus, .navbar_eroshik_savp li ul.dropdown-menu li a:visited {
            background: <?php echo esc_attr($menu_bar_bg); ?>;
            color: <?php echo esc_attr($menu_bar_color); ?>; }

</style>
<!-- eo custom menu bar stylings-->


<div class="nav_container">
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark navbar_eroshik_savp">
      <button class="navbar-toggler btn btn-default" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="<?php echo esc_attr(__('Toggle navigation','eroshiksavp')); ?>">
     <span class="glyphicon glyphicon-align-justify" aria-hidden="true"></span>
    </button>
     <div class="collapse navbar-collapse" id="navbarCollapse">
      <?php
      $locations = get_nav_menu_locations();
      if (isset($locations['header_menu'])) {
         wp_nav_menu(array(
           'theme_location'=>'header_menu',
           'container'=>false,
           'depth'=>3,
           'menu_class'=>'nav navbar-nav',
           'walker'=>new eroshik_savp_walker_nav_header()
        ));
      }
      ?>
    </div>
    </nav>
</div><!--nav_conatiner-->
