<?php
/**
 * @package eroshik savp theme
 *
 *
 */
 get_header();
 get_template_part('page-top');
 $sidebar_visibility=get_theme_mod('sidebar_visibility',0);
 $sidebar_align=get_theme_mod('sidebar_align','r');
 $sidebar_visibility_home=get_theme_mod('sidebar_visibility_on_home',0);
 $sidebar_bg=get_theme_mod('sidebar_bg','#FFFFFF');
 if(empty($sidebar_bg)){
   $sidebar_bg='transparent';
 }
 if(empty($sidebar_align)){
   $sidebar_align='r';
 }
?>


<div class="container-fluid">
<?php
  if(is_front_page()){
    if($sidebar_visibility_home==1){
        if($sidebar_align==='l' && $sidebar_visibility==1){?>
          <div style="background-color:<?php echo esc_attr($sidebar_bg);?>" class="col-sm-3 page_sidebar">
            <?php
            if ( is_active_sidebar('eroshik-page-sidebar' ) ){
               dynamic_sidebar('eroshik-page-sidebar');
            }
            ?>
          </div><!--page sidebar-->
        <?php }
    }
  }else{
    if($sidebar_align==='l' && $sidebar_visibility==1){ ?>
      <div style="background-color:<?php echo esc_attr($sidebar_bg) ;?>" class="col-sm-3 page_sidebar">
        <?php
        if ( is_active_sidebar('eroshik-page-sidebar' ) ){
           dynamic_sidebar('eroshik-page-sidebar');
        }
        ?>
      </div><!--page sidebar-->
    <?php }
  } ?>




<?php
    //check for page sidebar visibility.
    $page_content_width="col-sm-12";
    if($sidebar_visibility==1){
      if(is_front_page()){
        if($sidebar_visibility_home==1){
            $page_content_width="col-sm-9";
       }
     }else{
            $page_content_width="col-sm-9";
     }
    }
?>



	<div id="primary" class="<?php echo esc_attr($page_content_width); ?>">
				<?php

					if( have_posts() ){

						while( have_posts() ){
              the_post();
							get_template_part( 'template-parts/content', 'page' );
              	//echo eroshik_savp_post_navigation();
              if ( comments_open() ){
                  comments_template();
              }
						}

					}

				?>

			</div><!-- .primary  -->

      <?php
        if(is_front_page()){
          if($sidebar_visibility_home==1){
              if($sidebar_align==='r' && $sidebar_visibility==1){?>
                <div style="background-color:<?php echo esc_attr($sidebar_bg) ;?>" class="col-sm-3 page_sidebar">
                  <?php
                     if ( is_active_sidebar('eroshik-page-sidebar' ) ){
                        dynamic_sidebar('eroshik-page-sidebar');
                     }
                     ?>
                </div><!--page sidebar-->
              <?php }
          }
        }else{
          if($sidebar_align==='r' && $sidebar_visibility==1){ ?>
            <div style="background-color:<?php echo esc_attr($sidebar_bg) ;?>" class="col-sm-3 page_sidebar">
              <?php
              if ( is_active_sidebar('eroshik-page-sidebar' ) ){
                 dynamic_sidebar('eroshik-page-sidebar');
              }
              ?>
            </div><!--page sidebar-->
          <?php }
        } ?>


</div><!--container-fluid-->
<?php get_footer(); ?>
